GoAPI
HomeDashboard
HomeDashboard
Join Discord
  1. Conversation API
  • Get Started
  • Endpoints
    • Flux
      • Flux API with Redux Variation, Fill, Inpaint and Outpaint
      • Flux with LoRA and Controlnet
      • Available LoRA and Controlnet
      • Create Task
        • Text to Image
        • Image to Image
        • Kontext
      • Get Task
    • Gemini
      • Gemini-2.5-flash-image
      • Nano Banana Pro
      • Nano Banana 2
      • Get Task
    • Veo3
      • Veo3 Text to Video
      • Veo3 Image to Video
      • Veo3.1 Text to Video
      • Veo3.1 Image to Video
      • Get Task
    • Sora2
      • Sora2-preview Text to Video
      • Sora2 Text to Video
      • Sora2-Pro Text to Video
      • Sora2 Remove Watermark
      • Get Task
    • Omni Human
      • Omni Human 1.5
      • Get Task
    • Seedance
      • Moderation and Penalty
      • Seedance 2 preview
      • Seedance 2
      • Video Watermark Remover
      • Get Task
    • Seedream
      • Seedream 5 Lite
      • Get Task
    • Qwen Image
      • Text to Image
      • Image Edit
      • Get Task
    • Z-Image
      • Text to Image
      • Get Task
    • AI Hug
      • Create Task
      • Get Task
    • Midjourney
      • Detailed Explaination on Midjourney Task Result
      • GoAPI Penalties on Midjourney Usage
      • Midjourney V7 Instructions
      • Create Task
        • Imagine
        • Upscale
        • Variation
        • Reroll
        • Describe
        • Seed
        • Blend
        • Inpaint
        • Outpaint
        • Pan
      • Cancel Task
        • Cancel Task
        • Cancel Tasks
      • Get Task
    • Faceswap
      • Multi Faceswap
      • Image Faceswap
      • Video Faceswap
      • Get Task
    • Suno
      • Music
      • Lyrics
      • Get Task
    • Song (Udio)
      • Song API Task Creation Examples(Udio and Suno)
      • [Udio] Song Extend
      • Create Task
      • [Udio] Generate Lyrics
      • Get Task
    • TTS
      • Zeroshot Text-to-Speech F5-TTS
      • Get Task
    • DiffRhythm
      • Generate an Audio
      • Get Task
    • Ace Step
      • Create Task
        • Text to Audio
        • Audio to Audio
        • Audio Edit
        • Audio Extend
      • Get Task
    • Joycaption
      • Image Caption
      • Get Task
    • Mmaudio
      • Generate Audio
      • Get task
    • Dream Machine
      • Create Task
      • Get Task
    • Kling
      • Lipsync API Examples
      • Motion Brush Example
      • Kling Elements Video Generation API
      • Kling Effects Video Generation
      • Cancel Task
        • Cancel Task
        • Cancel Tasks
      • Create Task
      • Get Task
      • Kling Virtual Try-On
      • Kling Effects
      • Kling Sound
      • Kling Avatar
      • Kling Motion Control
      • Kling Turbo
      • Kling 3.0
    • Kling Omni
      • Kling o1
      • Kling 3.0 omni
      • Get Task
    • Hailuo
      • Generate Video
      • Get Task
    • Hunyuan Video
      • How to Make a Hunyuan API Call
      • Available Hunyuan Lora models
      • Generate Video
      • Get Task
    • WanX
      • Generate WanX Task with LoRA Using GoAPI
      • Available LoRA Types for Wanx
      • Use Cases for Wanx LoRA
      • Use Cases for Wanx Control Camera
      • Create Task
      • Get Task
    • Wan
      • Wan2.6 Text to Video
      • Wan2.6 Image to Video
      • Get Task
    • Skyreels
      • Create Task
      • Get Task
    • Framepack
      • Create Task
      • Get Task
    • Trellis
      • Trellis Create Task
      • Trellis2 Create Task
      • Get Task
    • GPTs API
      • ChatGPT Account Configuration
      • Examples for files upload into conversations in GPTs API
      • Conversation API
        • Create conversation
          POST
        • Add message to conversation
          POST
        • Upload file to conversation
          POST
        • Download file from code interpretor's sandbox
          POST
        • Download file from conversation
          POST
        • Get Task
          GET
    • LLM
      • LLM API | Basic Completions
      • Transcription API
      • TTS API
      • Embeddings API
      • Dall E 3 API
    • Account Management
      • Account Notification Webhook
      • Account Info
      • Task List Info
      • User Task History
    • Tools
      • File Upload API
      • Remove Background API
      • Remove Background-Get task
      • Segment With Prompt API
      • Segment with Prompt-Get task Copy
      • Image Upscale(Super Resolution) API
      • Image Upscale-Get task
      • Video Upscale
      • Video Upscale-Get task
      • Video Remove Background
      • Video Remove Background-Get task
    • GPT-image
      • GPT-image API
    • Seedance 2
  • Resources
    • Pricing Plan
    • Unified API Schema
    • Unified API Webhook
    • Technical Questions
    • Bulk Generation Service
    • Change Log
    • Common Error Message
    • Output Storage
    • Dashboard Manual
      • BYOA | Back-up Account
      • BYOA | Debug Checklist
      • BYOA | Connected Account Status
    • Announcements
      • GoAPI 2025 January 1st Pricing Update
      • The discontinued support for midjourney
      • Sunsetting Suno
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • Schemas
      • Motion Brush
      • Float2 Point
      • Control Points
      • txt2video-1.3b
      • txt2video-14b
      • txt2video-14b-lora
      • img2video-14b
      • img2video-14b-lora
      • img2video-14b-keyframe
      • img2video-14b-control-camera
      • wan22-txt2video-14b
      • wan22-img2video-14b
      • ErrorResponse
      • Trellis API/text-to-3D
      • Trellis API/image-to-3D
      • Trellis2 API/image-to-3D
      • Create Task
      • VideoGenerationResponse
      • camera control
      • Cancel Params
      • TaskConfig
      • TaskResponse
    • Response
      • Unified-Task-Response
    • RequestBodies
      • Unified-Task-Request-Body
    • config
    • control_net_setting
    • lora_setting
    • Kling omni multi shot
  1. Conversation API

Add message to conversation

POST
https://api.goapi.ai/api/chatgpt/v1/conversation/{conversation-id}
This endpoint allows you to add a message to an existing conversation.

Request Body Explained#

Add text message
Add multimodal message(usually with file)
{
"content": {
   "content_type": "text",
   "parts": [
       "draw me a wild cat"
       ]
   }
}

Request

Path Params

Header Params

Body Params application/json

Example
{
  "content": {
    "content_type": "text",
    "parts": [
      "draw me a wild cat"
    ]
  }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.goapi.ai/api/chatgpt/v1/conversation/' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
  "content": {
    "content_type": "text",
    "parts": [
      "draw me a wild cat"
    ]
  }
}'

Responses

🟢200Success
application/json
this API returns only STREAM response
Body

Example
data: {"message": {"id": "3bbbf479-f201-4530-bc3b-3820531daced", "author": {"role": "system", "name": null, "metadata": {}}, "create_time": null, "update_time": null, "content": {"content_type": "text", "parts": [""]}, "status": "finished_successfully", "end_turn": true, "weight": 0.0, "metadata": {}, "recipient": "all"}, "conversation_id": "4f33f3be-191e-49a2-8ea0-446a78fefeeb", "error": null}
 
data: {"message": {"id": "af818153-563c-4cf2-959c-c11578cc24f6", "author": {"role": "user", "name": null, "metadata": {}}, "create_time": 1704793809.059035, "update_time": null, "content": {"content_type": "text", "parts": ["draw me a wild cat"]}, "status": "finished_successfully", "end_turn": null, "weight": 1.0, "metadata": {"timestamp_": "absolute", "message_type": null}, "recipient": "all"}, "conversation_id": "4f33f3be-191e-49a2-8ea0-446a78fefeeb", "error": null}
 
data: {"message": {"id": "7e7e84ef-12e9-4425-af6b-38103a76599b", "author": {"role": "assistant", "name": null, "metadata": {}}, "create_time": 1704793809.103825, "update_time": null, "content": {"content_type": "code", "language": "json", "text": ""}, "status": "in_progress", "end_turn": null, "weight": 1.0, "metadata": {"inline_gizmo_id": null, "message_type": "next", "model_slug": "gpt-4", "parent_id": "af818153-563c-4cf2-959c-c11578cc24f6"}, "recipient": "dalle.text2im"}, "conversation_id": "4f33f3be-191e-49a2-8ea0-446a78fefeeb", "error": null}
 
data: {"conversation_id": "4f33f3be-191e-49a2-8ea0-446a78fefeeb", "message_id": "af818153-563c-4cf2-959c-c11578cc24f6", "is_completion": false, "moderation_response": {"flagged": false, "blocked": false, "moderation_id": "modr-8f32H4jN06GiEvQ5lqdT2nnmNDYn1"}}
 
data: {"message": {"id": "7e7e84ef-12e9-4425-af6b-38103a76599b", "author": {"role": "assistant", "name": null, "metadata": {}}, "create_time": 1704793809.103825, "update_time": null, "content": {"content_type": "code", "language": "json", "text": "{\""}, "status": "in_progress", "end_turn": null, "weight": 1.0, "metadata": {"inline_gizmo_id": null, "message_type": "next", "model_slug": "gpt-4", "parent_id": "af818153-563c-4cf2-959c-c11578cc24f6"}, "recipient": "dalle.text2im"}, "conversation_id": "4f33f3be-191e-49a2-8ea0-446a78fefeeb", "error": null}
Modified at 2024-10-30 08:14:05
Previous
Create conversation
Next
Upload file to conversation